Skip to main content
GET
/
v2
/
lists
/
{listId}
/
saved-views
/
{viewId}
/
list-entries
Get all List Entries on a Saved View
curl --request GET \
  --url https://api.affinity.co/v2/lists/{listId}/saved-views/{viewId}/list-entries \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": 1,
      "type": "company",
      "listId": 1,
      "createdAt": "2023-01-01T00:00:00Z",
      "creatorId": 1,
      "entity": {
        "id": 1,
        "name": "Horizon Technologies",
        "domain": "horizontech.com",
        "domains": [
          "horizontech.com"
        ],
        "isGlobal": true,
        "fields": []
      }
    }
  ],
  "pagination": {
    "prevUrl": "https://api.affinity.co/v2/foo?cursor=ICAgICAgYmVmb3JlOjo6Nw",
    "nextUrl": "https://api.affinity.co/v2/foo?cursor=ICAgICAgIGFmdGVyOjo6NA"
  }
}

Documentation Index

Fetch the complete documentation index at: https://developer.affinity.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

listId
integer<int64>
required

List ID

Required range: 1 <= x <= 9007199254740991
viewId
integer<int64>
required

Saved view ID

Required range: 1 <= x <= 9007199254740991

Query Parameters

cursor
string

Cursor for the next or previous page

Example:

"ICAgICAgYmVmb3JlOjo6Nw"

limit
integer<int32>
default:100

Number of items to include in the page

Required range: 1 <= x <= 100
Example:

100

Response

OK

ListEntryWithEntityPaged model

data
(CompanyListEntry · object | OpportunityListEntry · object | PersonListEntry · object)[] | null
required

A page of ListEntryWithEntity results

Maximum array length: 100
Example:
{
"id": 1,
"type": "company",
"listId": 1,
"createdAt": "2023-01-01T00:00:00Z",
"creatorId": 1,
"entity": {
"id": 1,
"name": "Horizon Technologies",
"domain": "horizontech.com",
"domains": ["horizontech.com"],
"isGlobal": true,
"fields": []
}
}
pagination
Pagination · object
required